Qt Reference Documentation

# QDomNotation Class Reference

The QDomNotation class represents an XML notation. More...

     #include <QDomNotation>

Inherits: QDomNode.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

| QDomNotation ()
| QDomNotation ( const QDomNotation & x )
QDomNode::NodeType | nodeType () const
QString | publicId () const
QString | systemId () const
QDomNotation & | operator= ( const QDomNotation & x )

- 66 public functions inherited from QDomNode

## Detailed Description

The QDomNotation class represents an XML notation.

A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification).

DOM does not support editing notation nodes; they are therefore read-only.

A notation node does not have any parent.

You can retrieve the publicId() and systemId() from a notation node.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomNotation::QDomNotation ()

Constructor.

### QDomNotation::QDomNotation ( const QDomNotation & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomNotation::nodeType () const

Returns `NotationNode`.

### QString QDomNotation::publicId () const

Returns the public identifier of this notation.

### QString QDomNotation::systemId () const

Returns the system identifier of this notation.

### QDomNotation & QDomNotation::operator= ( const QDomNotation & x )

Assigns x to this DOM notation.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().